Bug 987175 - SELinux is preventing /usr/libexec/postfix/flush from 'setattr' accesses on the file /var/spool/postfix/deferred/7/7E0645E00AE.
SELinux is preventing /usr/libexec/postfix/flush from 'setattr' accesses on t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e616c4d867526b5f3c637782538...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 17:22 EDT by Juan Orti
Modified: 2013-07-26 19:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:06:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Orti 2013-07-22 17:22:53 EDT
Description of problem:
SELinux is preventing /usr/libexec/postfix/flush from 'setattr' accesses on the file /var/spool/postfix/deferred/7/7E0645E00AE.

*****  Plugin catchall (100. confidence) suggests  ***************************

If cree que de manera predeterminada, flush debería permitir acceso setattr sobre  7E0645E00AE file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep flush /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_master_t:s0
Target Context                system_u:object_r:postfix_spool_maildrop_t:s0
Target Objects                /var/spool/postfix/deferred/7/7E0645E00AE [ file ]
Source                        flush
Source Path                   /usr/libexec/postfix/flush
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           postfix-2.10.1-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-15 21:33:14 CEST
Last Seen                     2013-07-15 21:33:14 CEST
Local ID                      ea56d593-9994-45c7-8e23-640388206719

Raw Audit Messages
type=AVC msg=audit(1373916794.434:10866): avc:  denied  { setattr } for  pid=2199 comm="flush" name="7E0645E00AE" dev="dm-2" ino=6160558 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:postfix_spool_maildrop_t:s0 tclass=file


type=SYSCALL msg=audit(1373916794.434:10866): arch=x86_64 syscall=utime success=no exit=EACCES a0=7febd5018e50 a1=7fff4b45da30 a2=45 a3=0 items=0 ppid=1726 pid=2199 auid=4294967295 uid=89 gid=89 euid=89 suid=89 fsuid=89 egid=89 sgid=89 fsgid=89 ses=4294967295 tty=(none) comm=flush exe=/usr/libexec/postfix/flush subj=system_u:system_r:postfix_master_t:s0 key=(null)

Hash: flush,postfix_master_t,postfix_spool_maildrop_t,file,setattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-24 09:16:00 EDT
commit f002aed93be76775451aeb1813dc775fad15a866
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jul 24 15:15:36 2013 +0200

    Allow /usr/libexec/postfix/flush to setattr on /var/spool/postfix/deferred files
Comment 2 Fedora Update System 2013-07-24 10:14:29 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 3 Fedora Update System 2013-07-24 20:36:10 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-26 19:06:56 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.